Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707410 - net-analyzer/netwatch-1.3.0.1-r3 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/netwatch-1.3.0.1-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:06 UTC by Toralf Förster
Modified: 2020-01-31 22:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.28 KB, text/plain)
2020-01-30 19:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,204.21 KB, text/plain)
2020-01-30 19:06 UTC, Toralf Förster
Details
environment (environment,94.67 KB, text/plain)
2020-01-30 19:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.93 KB, application/x-bzip)
2020-01-30 19:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.14 KB, application/x-bzip)
2020-01-30 19:06 UTC, Toralf Förster
Details
net-analyzer:netwatch-1.3.0.1-r3:20200130-010312.log (net-analyzer:netwatch-1.3.0.1-r3:20200130-010312.log,14.64 KB, text/plain)
2020-01-30 19:07 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,25.84 KB, application/x-bzip)
2020-01-30 19:07 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:06:43 UTC
   64 |    system(command);
      |    ^~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -c  semaphore.c
x86_64-pc-linux-gnu-gcc -DVERSION='"1.3.0"' -DRELEASE='"1"' -o netwatch -O2 -pipe -march=native -fno-common -Wl,-O1 -Wl,--as-needed curs.o dispdata.o services.o netwatch.o processinetrc.o gh.o warning.o semaphore.o -lpthread  -lncurses -ltinfo 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: dispdata.o:(.bss+0x80): multiple definition of `udp_port_types'; curs.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: dispdata.o:(.bss+0x3860): multiple definition of `tcp_port_types'; curs.o:(.bss+0x37e0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 23:06:23 +0000

emerge -qpvO net-analyzer/netwatch
[ebuild  N    ] net-analyzer/netwatch-1.3.0.1-r3  USE="-doc"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:06:46 UTC
Created attachment 608726 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:06:49 UTC
Created attachment 608728 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:06:52 UTC
Created attachment 608730 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:06:55 UTC
Created attachment 608732 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:06:58 UTC
Created attachment 608734 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:07:00 UTC
Created attachment 608736 [details]
net-analyzer:netwatch-1.3.0.1-r3:20200130-010312.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:07:03 UTC
Created attachment 608738 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 22:25:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd138d3f292983c6b2edac56b139bdb98009e3af

commit cd138d3f292983c6b2edac56b139bdb98009e3af
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 22:24:40 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 22:25:05 +0000

    net-analyzer/netwatch: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707410
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../files/netwatch-1.3.0.1-fno-common.patch        | 44 +++++++++++++++++++
 net-analyzer/netwatch/netwatch-1.3.0.1-r4.ebuild   | 50 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)